n_of_objects {clue} | R Documentation

## Number of Objects in a Partition or Hierarchy

### Description

Determine the number of objects from which a partition or hierarchy was obtained.

### Usage

    n_of_objects(x)

### Arguments

`x` | an R object representing a (hard of soft) partition or a hierarchy of objects, or dissimilarities between objects.

### Details

This is a generic function.

The methods provided in package clue handle the partitions and hierarchies obtained from clustering functions in the base R distribution, as well as packages RWeka, ape, cba, cclust, cluster, e1071, flexclust, flexmix, kernlab, mclust, movMF and skmeans (and of course, clue itself).

There is also a method for object dissimilarities which inherit from class `"dist"`.

### Value

An integer giving the number of objects.

### See Also

`is.cl_partition`, `is.cl_hierarchy`

### Examples

    data("Cassini")
    pcl <- kmeans(Cassini$x, 3)
    n_of_objects(pcl)
    hcl <- hclust(dist(USArrests))
    n_of_objects(hcl)

[Package clue version 0.3-57 Index]